Subject: Re: [PATCH 01/11] ARM: disable virt_to_bus/virt_to_bus almost everywhere

From: Vineet Gupta <[email-masked]>
Date: Mon, 25 Feb 2013 19:48:15 +0530

Hi Arnd,

On Friday 22 February 2013 04:43 AM, Stephen Rothwell wrote:
> Hi,
> 
> On Thu, 21 Feb 2013 13:07:56 +0530 Vineet Gupta <[email-masked]> wrote:
>>
>>>> I guess you'll have to do something similar for arch/metag, and Vineet
>>>> will do it for arch/arc.
>>
>> After getting the tip-bot msg about Stephen's patch for -mm, I never saw it in
>> -next and thus was not sure how when it will start showing up in -next.
> 
> It arrived in next-21030220.
> 
>>>> Stephen's patch is currently in Andrew's tree, and I don't see an easy
>>>> way to coordinate this. The patch we will need once both are merged
>>>> is below.
>>>>
>>>> Signed-off-by: Arnd Bergmann <[email-masked]>
>>>
>>> FWIW:
>>> Acked-by: James Hogan <[email-masked]> (for arch/metag)
>>>
>> Acked-by: Vineet Gupta <[email-masked]> (for arch/arc)
>>
>> So this means Stephen's patch - once merged will take care of existing in-tree
>> arches and your's will take care of metag/arc.
> 
> The easiest way would be to put the follow up patches in Andrew's patch
> set (since it is still based on top of linux-next).  It usually is merged
> pretty late, so I would get your own trees merged ASAP and this can be
> taken care of when Andrew sends his patch set to Linus.
> 

Have you queued up this change via one of your trees already for 3.9-rcX ?
If not, I can fold it in with a bunch of Kconfig cleanups for ARC
(GENERIC_SIGALTSTACK, HAVE_IRQ_WORK), given that those bits are already in linus'
tree.

Thx,
-Vineet